# # Class: Animator

## # Constructors

### # constructor

• new Animator()

## # Methods

### # add

▸ add(`chart`, `items`): `void`

#### # Parameters

Name | Type
--- | ---
`chart` | `Chart`<keyof `ChartTypeRegistry`, (`number` | `ScatterDataPoint` | `BubbleDataPoint`)[], `unknown`>
`items` | readonly `Animation`[]

#### # Returns

`void`

#### # Defined in

animation.d.ts:21
(opens new window)

### # has

▸ has(`chart`): `boolean`

#### # Parameters

Name | Type
--- | ---
`chart` | `Chart`<keyof `ChartTypeRegistry`, (`number` | `ScatterDataPoint` | `BubbleDataPoint`)[], `unknown`>

#### # Returns

`boolean`

#### # Defined in

animation.d.ts:22
(opens new window)

### # listen

▸ listen(`chart`, `event`, `cb`): `void`

#### # Parameters

Name | Type
--- | ---
`chart` | `Chart`<keyof `ChartTypeRegistry`, (`number` | `ScatterDataPoint` | `BubbleDataPoint`)[], `unknown`>
`event` | `"progress"` | `"complete"`
`cb` | (`event`: `AnimationEvent`) => `void`

#### # Returns

`void`

#### # Defined in

animation.d.ts:20
(opens new window)

### # remove

▸ remove(`chart`): `boolean`

#### # Parameters

Name | Type
--- | ---
`chart` | `Chart`<keyof `ChartTypeRegistry`, (`number` | `ScatterDataPoint` | `BubbleDataPoint`)[], `unknown`>

#### # Returns

`boolean`

#### # Defined in

animation.d.ts:26
(opens new window)

### # running

▸ running(`chart`): `boolean`

#### # Parameters

Name | Type
--- | ---
`chart` | `Chart`<keyof `ChartTypeRegistry`, (`number` | `ScatterDataPoint` | `BubbleDataPoint`)[], `unknown`>

#### # Returns

`boolean`

#### # Defined in

animation.d.ts:24
(opens new window)

### # start

▸ start(`chart`): `void`

#### # Parameters

Name | Type
--- | ---
`chart` | `Chart`<keyof `ChartTypeRegistry`, (`number` | `ScatterDataPoint` | `BubbleDataPoint`)[], `unknown`>

#### # Returns

`void`

#### # Defined in

animation.d.ts:23
(opens new window)

### # stop

▸ stop(`chart`): `void`

#### # Parameters

Name | Type
--- | ---
`chart` | `Chart`<keyof `ChartTypeRegistry`, (`number` | `ScatterDataPoint` | `BubbleDataPoint`)[], `unknown`>

#### # Returns

`void`

#### # Defined in

animation.d.ts:25
(opens new window)